Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.responses
Class GetTherapeuticLinkResponse

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.responses.GeneralResponse
          be.ehealth.businessconnector.therlink.domain.responses.GetTherapeuticLinkResponse

    public class GetTherapeuticLinkResponse

extends GeneralResponse

GetTherapeuticLinkResponse

Constructor Summary
`GetTherapeuticLinkResponse(org.joda.time.DateTime dateTime, Author author, String id, TherapeuticLinkRequestType request, List<TherapeuticLinkResponse> listOfTherapeuticLinks, Acknowledge acknowledge)`

Method Summary
`List<TherapeuticLinkResponse>` | `getListOfTherapeuticLinks()`
`void` | `setListOfTherapeuticLinks(List<TherapeuticLinkResponse> listOfTherapeuticLinks)`
`String` | `toString()`

Methods inherited from class be.ehealth.businessconnector.therlink.domain.responses.GeneralResponse
`getAcknowledge, getDateTime, getExternalAuthor, getExternalID, getOriginalRequest, setAcknowledge, setDateTime, setExternalAuthor, setExternalID, setOriginalRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetTherapeuticLinkResponse

    public GetTherapeuticLinkResponse(org.joda.time.DateTime dateTime,
                                      Author author,
                                      String id,
                                      TherapeuticLinkRequestType request,
                                      List<TherapeuticLinkResponse> listOfTherapeuticLinks,
                                      Acknowledge acknowledge)

Parameters:
  `dateTime` -
  `author` -
  `id` -
  `request` -
  `listOfTherapeuticLinks` -
  `acknowledge` -

Method Detail

### getListOfTherapeuticLinks

    public List<TherapeuticLinkResponse> getListOfTherapeuticLinks()

  Returns:
    the listOfTherapeuticLinks

### setListOfTherapeuticLinks

    public void setListOfTherapeuticLinks(List<TherapeuticLinkResponse> listOfTherapeuticLinks)

  Parameters:
    `listOfTherapeuticLinks` - the listOfTherapeuticLinks to set

### toString

    public String toString()

  Overrides:
    `toString` in class `GeneralResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.